Clinia
RegistryPipeline executions

Query pipeline executions

POST
/sources/{sourceKey}/v1/pipelines/query

Query the pipeline executions of a source. The fields that can be used to filter or sort pipeline executions are:

  • id: The pipeline execution id.
  • pipelineDefinitionId: The pipeline definition id.
  • createdAt: The pipeline execution creation timestamp.
  • updatedAt: The pipeline execution last update timestamp.
  • status: The pipeline execution status.
  • operation.action: The action of the operation that triggered the pipeline execution.
  • operation.taskId: The id of the task that triggered the pipeline execution.
  • operation.target.targetType: The type of the target that triggered the pipeline execution. It can be 'RESOURCE' or 'RELATIONSHIP'.
  • operation.target.type: The type of the resource or relationship that triggered the pipeline execution.
  • operation.target.id: The id of the resource or relationship that triggered the pipeline execution.
  • reviewAssignment.reviewerId: The id of the reviewer assigned to review the operation that triggered the pipeline execution, if any. Note: this field is only available as a filter, not as a sort field. It also only supports the equality operator.
X-Clinia-API-Key<token>

In: header

Path Parameters

sourceKey*string

The key of the source.

Query Parameters

withOperationBody?boolean

If set to true, the response will include, for each pipeline execution, the body of the operation which triggered the pipeline. Defaults to false.

Defaultfalse

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Use dot-notation paths (e.g., name, meta.updatedAt, address.city). To include properties from relationships or adjacent records, request them via traversedProperties and reference with @ (e.g., @worksAt.*, @worksAt.@clinic.name). Some endpoints require federated paths such as resources.<collectionKey>.<propertyKey> or relationships.<collectionKey>.<propertyKey>.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/sources/string/v1/pipelines/query" \  -H "Content-Type: application/json" \  -d '{}'
{  "semanticQueryInfo": {    "reasoning": "string",    "originalQuery": "string",    "query": {      "id": "string",      "and": [        null      ]    },    "filter": {      "id": "string",      "and": [        null      ]    }  },  "hits": [    {      "hitType": "RESOURCE",      "score": 0.1,      "resource": {},      "traversedProperties": {        "property1": [          {            "type": "address",            "value": {},            "relationshipId": "string",            "relationshipType": "string",            "recordId": "string",            "recordType": "string"          }        ],        "property2": [          {            "type": "address",            "value": {},            "relationshipId": "string",            "relationshipType": "string",            "recordId": "string",            "recordType": "string"          }        ]      },      "highlighting": {        "property1": [          {            "type": "textual",            "highlight": "string"          }        ],        "property2": [          {            "type": "textual",            "highlight": "string"          }        ]      }    }  ],  "meta": {    "numPages": 0,    "page": 0,    "perPage": 0,    "total": 0,    "filter": {      "id": "string",      "and": [        null      ]    }  },  "aggregates": [    {      "type": "LEXICAL",      "path": "string",      "aggregate": [        {          "value": "string",          "count": 0        }      ]    }  ]}